#pragma once
#include <boost/unordered_map.hpp>
#include <vector>
struct Fish_ArenaFreeRankingCFGData
{
	//编号
	int mID;
	//任务类型
	int mType;
	//开始排名
	int mStartRank;
	//结束排名
	int mEndRank;
	//奖励道具
	int mRewardItem;
	//奖励数量
	int mRewardCount;
};

class Fish_ArenaFreeRankingCFG
{
public:
private:
	static std::auto_ptr<Fish_ArenaFreeRankingCFG> msSingleton;
public:
	int GetCount();
	const Fish_ArenaFreeRankingCFGData* GetData(int ID);
	boost::unordered_map<int, Fish_ArenaFreeRankingCFGData>& GetMapData();
	void Reload();
	void Load(const std::string& path);
	void Load();
	static Fish_ArenaFreeRankingCFG* GetSingleton();
private:
	boost::unordered_map<int, Fish_ArenaFreeRankingCFGData> mMapData;
};
